#125 Add %I switch for initial letter of disc artist name

None
closed-out-of-date
nobody
None
5
2017-04-16
2004-10-25
No

Add support for %I switch in rip and encoded filenames.

%I will be translated to the first (initial) letter of
the disc artist's name (%A).

So in the case of Oasis - Be Here Now the encode file
format:

/opt/mp3/%I/%A/%d/%t_%n.mp3

would result in:

/opt/mp3/o/oasis/be_here_now/*.mp3

This is very useful for large collections.

Thanks,

Jason

Related

Patches: #125

Discussion

  • Jason Bodnar

    Jason Bodnar - 2004-10-25

    Patch to support %I (inital disc artist letter) switch

     
  • Jason Bodnar

    Jason Bodnar - 2004-10-25

    Logged In: YES
    user_id=26842

    Forgot to mention this patch is against 3.2.0 but it's a
    simple patch so it should work for any version, I think.

     
  • Solbu

    Solbu - 2017-04-16
    • status: open --> closed-out-of-date
    • Group: -->
     
    • Jason Bodnar

      Jason Bodnar - 2017-05-03

      Is there a git repository I can make a pull request on for this feature?

      On Sun, Apr 16, 2017 at 3:02 PM, Solbu solbu@users.sf.net wrote:

      • status: open --> closed-out-of-date
      • Group: -->
      • Comment:

      Patch is malformed:

      git apply --check ../patches/2017-04-16/artist_init.patch
      fatal: unrecognized input


      Status: closed-out-of-date
      Group:
      Created: Mon Oct 25, 2004 05:07 AM UTC by Jason Bodnar
      Last Updated: Fri Aug 29, 2014 09:47 AM UTC
      Owner: nobody

      Add support for %I switch in rip and encoded filenames.

      %I will be translated to the first (initial) letter of
      the disc artist's name (%A).

      So in the case of Oasis - Be Here Now the encode file
      format:

      /opt/mp3/%I/%A/%d/%t_%n.mp3

      would result in:

      /opt/mp3/o/oasis/be_here_now/*.mp3

      This is very useful for large collections.

      Thanks,

      Jason

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/grip/patches/125/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

      --
      Jason Bodnar
      jason@shakabuku.org

       

      Related

      Patches: #125

  • Solbu

    Solbu - 2017-04-16

    Patch is malformed:

    git apply --check ../patches/2017-04-16/artist_init.patch
    fatal: unrecognized input

     

Log in to post a comment.